// GeniE V7.6-05 64bit started 18-Apr-2018 12:58:07
GenieRules.Tolerances.useTolerantModelling = true;
GenieRules.Tolerances.angleTolerance = 2 deg;
GenieRules.Compatibility.version = "V7.6-05";
GenieRules.Meshing.autoSimplifyTopology = true;
GenieRules.Meshing.eliminateInternalEdges = true;
GenieRules.BeamCreation.DefaultCurveOffset = ReparameterizedBeamCurveOffset();
//
// Cross section library
// Units kg, Newton, Metres
//
Bar100 = BarSection(0.1,0.03);
//
//
ISEC100 = ISection(0.1,0.1,0.015,0.02);
I200 = ISection(0.2,0.2,0.015,0.02);
I400 = ISection(0.4,0.4,0.015,0.02);
I600 = ISection(0.6,0.6,0.015,0.02);
I800 = ISection(0.8,0.8,0.015,0.02);
I1000 = ISection(1.0,1.0,0.015,0.02);
I1200 = ISection(1.2,1.2,0.015,0.02);
I1400 = ISection(1.4,1.4,0.015,0.02);
//
Pipe200 = PipeSection(0.2,0.02);
Pipe400 = PipeSection(0.4,0.02);
Pipe600 = PipeSection(0.6,0.02);
Pipe800 = PipeSection(0.8,0.02);
Pipe1000 = PipeSection(1.0,0.02);
Pipe1200 = PipeSection(1.2,0.02);
//
// Material library
// Units kg, Newton, Metres
//
St37 = Material(215E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
St44 = Material(255E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
St52 = Material(335E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
//
S235 = Material(215E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
S275 = Material(255E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
S355 = Material(355E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
//
S275N_NL = Material(235E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
S355N_NL = Material(335E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
S420N_NL = Material(390E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
S460N_NL = Material(430E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
//
Th01 = Thickness( 0.01 );
Th02 = Thickness( 0.02 ); 
Th03 = Thickness( 0.03 ); 
Th04 = Thickness( 0.04 ); 
Th05 = Thickness( 0.05 );
//
GlobXz = LocalSystem( Vector3d(1,0,0), Vector3d(1,0,1));
//
X_vect = Vector3d(1,0,0);
Y_vect = Vector3d(0,1,0);
Z_vect = Vector3d(0,0,1);
//
I200.setdefault();
Th04.setdefault(); 
St52.setdefault();
// GeniE V7.6-05 64bit ended 18-Apr-2018 13:52:30
// GeniE V7.6-05 64bit started 18-Apr-2018 13:53:02
Pipe1000.setDefault();
GuidePlane1 = GuidePlane(Point(0 m,0 m,0 m),Point(80 m,0 m,0 m),Point(80 m,10 m,0 m),Point(0 m,10 m,0 m),5,3,10,1,1,1,1,1,1,1);
GuidePlane1.snapmode = true;
GuidePlane1.corners(Point(0 m,0 m,0 m),Point(80 m,0 m,0 m),Point(80 m,10 m,0 m),Point(0 m,10 m,0 m));
GuidePlane1.spacings(3,2,70,6,4,3,7);
GuidePlane1.corners(Point(0 m,0 m,0 m),Point(80 m,0 m,0 m),Point(80 m,10 m,0 m),Point(0 m,10 m,0 m));
GuidePlane1.spacings(3,2,0.875,0.075,0.05,0.7,0.7);
GuidePlane1.corners(Point(0 m,0 m,0 m),Point(80 m,0 m,0 m),Point(80 m,10 m,0 m),Point(0 m,10 m,0 m));
GuidePlane1.spacings(3,2,0.875,0.075,0.05,0.7,0.3);
// GeniE V7.6-05 64bit ended 18-Apr-2018 15:03:47
// GeniE V7.6-05 64bit started 18-Apr-2018 15:48:50
// GeniE V7.6-05 64bit started 18-Apr-2018 12:58:07
GenieRules.Tolerances.useTolerantModelling = true;
GenieRules.Tolerances.angleTolerance = 2 deg;
GenieRules.Compatibility.version = "V7.6-05";
GenieRules.Meshing.autoSimplifyTopology = true;
GenieRules.Meshing.eliminateInternalEdges = true;
GenieRules.BeamCreation.DefaultCurveOffset = ReparameterizedBeamCurveOffset();
//
// Cross section library
// Units kg, Newton, Metres
//
Bar100 = BarSection(0.1,0.03);
//
//
ISEC100 = ISection(0.1,0.1,0.015,0.02);
I200 = ISection(0.2,0.2,0.015,0.02);
I400 = ISection(0.4,0.4,0.015,0.02);
I600 = ISection(0.6,0.6,0.015,0.02);
I800 = ISection(0.8,0.8,0.015,0.02);
I1000 = ISection(1.0,1.0,0.015,0.02);
I1200 = ISection(1.2,1.2,0.015,0.02);
I1400 = ISection(1.4,1.4,0.015,0.02);
//
Pipe200 = PipeSection(0.2,0.02);
Pipe400 = PipeSection(0.4,0.02);
Pipe600 = PipeSection(0.6,0.02);
Pipe800 = PipeSection(0.8,0.02);
Pipe1000 = PipeSection(1.0,0.02);
Pipe1200 = PipeSection(1.2,0.02);
//
// Material library
// Units kg, Newton, Metres
//
St37 = Material(215E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
St44 = Material(255E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
St52 = Material(335E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
//
S235 = Material(215E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
S275 = Material(255E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
S355 = Material(355E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
//
S275N_NL = Material(235E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
S355N_NL = Material(335E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
S420N_NL = Material(390E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
S460N_NL = Material(430E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
//
Th01 = Thickness( 0.01 );
Th02 = Thickness( 0.02 ); 
Th03 = Thickness( 0.03 ); 
Th04 = Thickness( 0.04 ); 
Th05 = Thickness( 0.05 );
//
GlobXz = LocalSystem( Vector3d(1,0,0), Vector3d(1,0,1));
//
X_vect = Vector3d(1,0,0);
Y_vect = Vector3d(0,1,0);
Z_vect = Vector3d(0,0,1);
//
I200.setdefault();
Th04.setdefault(); 
St52.setdefault();
// GeniE V7.6-05 64bit ended 18-Apr-2018 13:52:30
// GeniE V7.6-05 64bit started 18-Apr-2018 13:53:02
Pipe1000.setDefault();
GuidePlane1 = GuidePlane(Point(0 m,0 m,0 m),Point(80 m,0 m,0 m),Point(80 m,10 m,0 m),Point(0 m,10 m,0 m),5,3,10,1,1,1,1,1,1,1);
GuidePlane1.snapmode = true;
GuidePlane1.corners(Point(0 m,0 m,0 m),Point(80 m,0 m,0 m),Point(80 m,10 m,0 m),Point(0 m,10 m,0 m));
GuidePlane1.spacings(3,2,70,6,4,3,7);
GuidePlane1.corners(Point(0 m,0 m,0 m),Point(80 m,0 m,0 m),Point(80 m,10 m,0 m),Point(0 m,10 m,0 m));
GuidePlane1.spacings(3,2,0.875,0.075,0.05,0.7,0.7);
GuidePlane1.corners(Point(0 m,0 m,0 m),Point(80 m,0 m,0 m),Point(80 m,10 m,0 m),Point(0 m,10 m,0 m));
GuidePlane1.spacings(3,2,0.875,0.075,0.05,0.7,0.3);
// GeniE V7.6-05 64bit ended 18-Apr-2018 15:03:47
// GeniE V7.6-05 64bit started 18-Apr-2018 15:04:04

// Tarjej sin modell:
Bm1 = StraightBeam(Point(0 m,10 m,0 m), Point(0 m,0 m,0 m));
Bm2 = StraightBeam(Point(0 m,0 m,0 m), Point(70 m,0 m,0 m));
Bm3 = StraightBeam(Point(70 m,0 m,0 m), Point(70 m,10 m,0 m));
Bm4 = StraightBeam(Point(70 m,10 m,0 m), Point(76 m,10 m,0 m));
Bm5 = StraightBeam(Point(76 m,10 m,0 m), Point(76 m,0 m,0 m));
Bm6 = StraightBeam(Point(76 m,0 m,0 m), Point(80 m,0 m,0 m));
Point1 = Point(0 m,0 m,0 m);
Point2 = Point1.copyTranslate(Vector3d(3 m,0 m,0 m));
Point3 = Point1.copyTranslate(Vector3d(0 m,3 m,0 m));
Curve1 = CreateLineTwoPoints(Point(3 m,0 m,0 m), Point(0 m,0 m,0 m));
Curve2 = CreateLineTwoPoints(Point(0 m,0 m,0 m), Point(0 m,3 m,0 m));
Curve3 = CreateCircularFilletBetweenLinearSegments(Curve1, Point(2.152870839 m,0 m,0 m), Curve2, Point(0 m,2.448003711 m,0 m), 3 m);
/////////////
Bm7 = Beam(Curve3);
Bm2.moveEnd(1, Vector3d(3 m,0 m,0 m));
Bm1.moveEnd(2, Vector3d(0 m,3 m,0 m));
Point4 = Point(70 m,0 m,0 m);
Point5 = Point(76 m,0 m,0 m);
Point6 = Point4.copyTranslate(Vector3d(0 m,3 m,0 m));
Point7 = Point4.copyTranslate(Vector3d(-3 m,0 m,0 m));
Curve4 = CreateLineTwoPoints(Point(67 m,0 m,0 m), Point(70 m,0 m,0 m));
Curve5 = CreateLineTwoPoints(Point(70 m,0 m,0 m), Point(70 m,3 m,0 m));
Curve6 = CreateCircularFilletBetweenLinearSegments(Curve4, Point(68.29692841 m,0 m,0 m), Curve5, Point(70 m,2.295341015 m,0 m), 3 m);
Bm8 = Beam(Curve6);
Bm2.moveEnd(2, Vector3d(-3 m,0 m,0 m));
Bm3.moveEnd(1, Vector3d(0 m,3 m,0 m));
Point8 = Point5.copyTranslate(Vector3d(3 m,0 m,0 m));
Point9 = Point5.copyTranslate(Vector3d(0 m,3 m,0 m));
Curve7 = CreateLineTwoPoints(Point(76 m,3 m,0 m), Point(76 m,0 m,0 m));
Curve8 = CreateLineTwoPoints(Point(76 m,0 m,0 m), Point(79 m,0 m,0 m));
Curve9 = CreateCircularFilletBetweenLinearSegments(Curve7, Point(76 m,1.718224049 m,0 m), Curve8, Point(78.36632538 m,0 m,0 m), 3 m);
Bm9 = Beam(Curve9);
Bm6.moveEnd(1, Vector3d(3 m,0 m,0 m));
Bm5.moveEnd(2, Vector3d(0 m,3 m,0 m));
Point10 = Point(70 m,10 m,0 m);
Point11 = Point(76 m,10 m,0 m);
Point12 = Point10.copyTranslate(Vector3d(0 m,-3 m,0 m));
Point13 = Point10.copyTranslate(Vector3d(3 m,0 m,0 m));
Point14 = Point11.copyTranslate(Vector3d(0 m,-3 m,0 m));
Curve10 = CreatePolylineFromASetOfPoints(Array(Point(70 m,7 m,0 m),Point(70 m,10 m,0 m),Point(73 m,10 m,0 m),Point(76 m,10 m,0 m),Point(76 m,7 m,0 m)));
Curve11 = CreateCircularFilletBetweenLinearSegments(Curve10, Point(70 m,8.886059761 m,0 m), Curve10, Point(71.92835999 m,10 m,0 m), 3 m);
Curve12 = CreateLineTwoPoints(Point(72.99999991 m,10 m,0 m), Point(76 m,10 m,0 m));
Curve13 = CreateLineTwoPoints(Point(76 m,10 m,0 m), Point(76 m,7 m,0 m));
Delete(Curve13);
Delete(Curve12);
Delete(Curve11);
Point15 = Point13.copyTranslate(Vector3d(0 m,-3 m,0 m));
Curve1 = CreateCircularArcFromThreePoints(Point(70 m,7 m,0 m), Point(73 m,10 m,0 m), Point(76 m,7 m,0 m));
Bm10 = Beam(Curve1);
Bm3.moveEnd(2, Vector3d(0 m,-3 m,0 m));
Delete(Bm4);
Bm5.moveEnd(1, Vector3d(0 m,-3 m,0 m));
Delete(Point15);
Delete(Point11);
Delete(Point10);
Sct16 = PipeSection(1, 0.012);
Bm1.section = Sct16;
Bm2.section = Sct16;
Bm3.section = Sct16;
Bm5.section = Sct16;
Bm6.section = Sct16;
Bm7.section = Sct16;
Bm8.section = Sct16;
Bm9.section = Sct16;
Bm10.section = Sct16;
Sp1 = SupportPoint(Point(0 m,10 m,0 m));
Sp2 = SupportPoint(Point(80 m,0 m,0 m));
LC1 = LoadCase();
Sp2.boundary = BoundaryCondition(Free, Fixed, Fixed, Fixed, Fixed, Fixed);
Sp2.boundary = BoundaryCondition(Fixed, Fixed, Fixed, Fixed, Fixed, Fixed);
Sp2.boundary = BoundaryCondition(Prescribed, Fixed, Fixed, Fixed, Fixed, Fixed);
PDisp1 = PrescribedDisplacement(LC1, Sp2, 1 m, 0 m, 0 m, 0 deg, 0 deg, 0 deg);
Analysis1 = Analysis(true);
Analysis1.add(MeshActivity());
Analysis1.add(LinearAnalysis());
Analysis1.add(LoadResultsActivity());
Analysis1.step(1).usePartialMesher = true;
Analysis1.setActive();
//Analysis1.step(1).step(1).execute();
//Analysis1.step(1).step(2).execute();
SimplifyTopology();
//Analysis1.step(1).step(4).execute();
//Analysis1.step(2).execute();
//Analysis1.step(3).execute();
//Analysis1.step(3).execute();
Mesh = MeshDensity(0.1);
Mesh.setDefault();
SimplifyTopology();
//Analysis1.step(1).step(4).execute();
//Analysis1.step(3).execute();
